Package org.apache.synapse.transport.http.conn

## Class SynapseDebugInfoHolder

- java.lang.Object
- - java.util.Observable
  - - org.apache.synapse.transport.http.conn.SynapseDebugInfoHolder

-     public class SynapseDebugInfoHolder
      extends Observable

  This class is to hold debug information for wire level debug in transport level

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DUMMY_MEDIATOR_ID` |
    `static String` | `SYNAPSE_WIRE_LOG_HOLDER_PROPERTY` |
    `static String` | `SYNAPSE_WIRE_LOG_MEDIATOR_ID_PROPERTY` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SynapseDebugInfoHolder` | `getInstance()` | get instance method which will return a single instance
    `boolean` | `isDebuggerEnabled()` |
    `void` | `setDebuggerEnabled​(boolean isDebuggerEnabled)` |
    `void` | `setWireLogHolder​(SynapseWireLogHolder wireLogHolder)` | This method will set the wirelog holder and will notify observers about that, so they can retrieve it

    - ### Methods inherited from class java.util.Observable

      `addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYNAPSE_WIRE_LOG_HOLDER_PROPERTY

          public static final String SYNAPSE_WIRE_LOG_HOLDER_PROPERTY

      See Also:
        Constant Field Values

    - #### SYNAPSE_WIRE_LOG_MEDIATOR_ID_PROPERTY

          public static final String SYNAPSE_WIRE_LOG_MEDIATOR_ID_PROPERTY

      See Also:
        Constant Field Values

    - #### DUMMY_MEDIATOR_ID

          public static final String DUMMY_MEDIATOR_ID

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static SynapseDebugInfoHolder getInstance()

      get instance method which will return a single instance
      Returns:

    - #### setDebuggerEnabled

          public void setDebuggerEnabled​(boolean isDebuggerEnabled)

    - #### isDebuggerEnabled

          public boolean isDebuggerEnabled()

    - #### setWireLogHolder

          public void setWireLogHolder​(SynapseWireLogHolder wireLogHolder)

      This method will set the wirelog holder and will notify observers about that, so they can retrieve it
      Parameters:
        `wireLogHolder` -